Subject: Re: Why include/net/tcp_states.h is not exported to user-space?

From: Arnaldo Carvalho de Melo <[email-masked]>
Date: Wed, 1 Oct 2014 14:25:00 -0300

Em Tue, Sep 30, 2014 at 11:12:04AM -0700, Cong Wang escreveu:
> These states are needed for user-space to specify ->idiag_states.
> Currently both libnl and ss make their own copy of these definitions.
> Of course, new sock diag is not just limited to TCP, so we probably
> need to rename them to SS_* before exporting them.
> 
> I can send a patch if you agree.

One would have to check what are the current best practices for doing
that, i.e. probably this would have to go via
include/uapi//linux/tcp_states.h? Or take the time and create a new
header for the inet_diag.h stuff as this is not TCP specific for quite a
while?

If you could investigate how to properly expose this and then come back
with a patch proposal I think that would ease reviewing :-)

- Arnaldo